curl --request GET \
--url https://api.syntage.com/datasources/mx/sat/certificados/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/datasources/mx/sat/certificados/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/datasources/mx/sat/certificados/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0197a365-6c09-7019-b072-6c756008cd2d",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"serialNumber": "00001000000516152485",
"type": "efirma",
"issuer": {
"id-at-commonName": "AUTORIDAD CERTIFICADORA",
"id-at-postalCode": "06300",
"id-at-countryName": "MX",
"id-at-localityName": "CUAUHTEMOC",
"id-at-streetAddress": "AV. HIDALGO 77, COL. GUERRERO",
"id-at-organizationName": "SERVICIO DE ADMINISTRACION TRIBUTARIA",
"id-at-uniqueIdentifier": "SAT970701NN3",
"pkcs-9-at-emailAddress": "contacto.tecnico@sat.gob.mx",
"id-at-stateOrProvinceName": "CIUDAD DE MEXICO",
"pkcs-9-at-unstructuredName": "responsable: ADMINISTRACION CENTRAL DE SERVICIOS TRIBUTARIOS AL CONTRIBUYENTE",
"id-at-organizationalUnitName": "SAT-IES Authority"
},
"subject": {
"id-at-name": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-commonName": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-countryName": "MX",
"id-at-serialNumber": "PEIC211118IS0",
"id-at-organizationName": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-uniqueIdentifier": "PEGJ850101AA1",
"pkcs-9-at-emailAddress": "juan.perez@example.com"
},
"validFrom": "2022-11-11 19:02:09",
"validTo": "2026-11-11 19:02:49",
"file": {
"type": "sat.certificate.efirma",
"resource": "/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d",
"mimeType": "application/x-x509-ca-cert",
"extension": "cer",
"filename": "91ab5678-1234-5678-9abc-def012345678-00001000000516152485.cer"
},
"status": "active",
"revokedAt": "2023-01-01T12:00:00Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@context": "<unknown>",
"@id": "/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d",
"@type": "SatCertificate"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a SAT certificate
Retrieve a SAT certificate by ID.
The file property references the certificate file. Use the file download endpoint to retrieve the certificate content.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
SAT Certificate
SAT certificate ID
"0197a365-6c09-7019-b072-6c756008cd2d"
Entity IRI reference
"/entities/91ab5678-1234-5678-9abc-def012345678"
Certificate serial number
"00001000000516152485"
Certificate type
efirma, csd "efirma"
Certificate issuer information
Show child attributes
Show child attributes
Certificate subject information
Show child attributes
Show child attributes
Certificate validity start date
"2022-11-11 19:02:09"
Certificate validity end date
"2026-11-11 19:02:49"
Certificate file. Use the file download endpoint to retrieve the actual file content.
Show child attributes
Show child attributes
{
"type": "sat.certificate.efirma",
"resource": "/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d",
"mimeType": "application/x-x509-ca-cert",
"extension": "cer",
"filename": "91ab5678-1234-5678-9abc-def012345678-00001000000516152485.cer"
}
Certificate status
active, revoked, expired, unknown "active"
Date and time when the certificate was revoked, if applicable
"2023-01-01T12:00:00Z"
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
SAT Certificate IRI reference
"/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d"
Was this page helpful?